# --------------------------------------------------------------- Imports ---------------------------------------------------------------- #

# System
from enum import Enum

# ---------------------------------------------------------------------------------------------------------------------------------------- #



# ------------------------------------------------------------ enum: EntryType ----------------------------------------------------------- #

class EntryType(Enum):
    Title   = 'tt'
    User    = 'ur'
    Name    = 'nm'
    Company = 'co'
    List    = 'ls'
    Video   = 'vi'


    # ------------------------------------------------------- Private methods -------------------------------------------------------- #

    @classmethod
    def from_id(cls, id):
        return cls(id[:2])

    @property
    def url_key(self) -> str:
        # pylint: disable=no-member
        return self.name.lower()

# ---------------------------------------------------------------------------------------------------------------------------------------- #
